aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGerd Hoffmann <kraxel@redhat.com>2010-04-01 11:24:41 +0200
committerGerd Hoffmann <kraxel@redhat.com>2010-04-01 11:24:41 +0200
commitc75c37f7104480a0d386a9e0caa8a72335395503 (patch)
tree0b1da98c1155f0febc3a06a9839862becad06654
parentf7fa2c3713398385948f6af44a1508dcb47e747e (diff)
v3.94
-rwxr-xr-xconfigure196
-rw-r--r--configure.ac9
-rw-r--r--console/fbtv.c100
-rw-r--r--x11/blit.c.orig949
-rw-r--r--x11/blit.c.rej37
-rw-r--r--x11/xt.c6
-rw-r--r--xawtv.spec2
7 files changed, 136 insertions, 1163 deletions
diff --git a/configure b/configure
index 8fb54f3..54c1841 100755
--- a/configure
+++ b/configure
@@ -972,7 +972,7 @@ esac
else
echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
fi
- cd $ac_popdir
+ cd "$ac_popdir"
done
fi
@@ -1955,8 +1955,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2014,8 +2013,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2131,8 +2129,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2186,8 +2183,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2232,8 +2228,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2277,8 +2272,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2462,8 +2456,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2521,8 +2514,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2593,8 +2585,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2638,8 +2629,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3164,8 +3154,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3335,8 +3324,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3411,8 +3399,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3602,8 +3589,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3677,8 +3663,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3757,8 +3742,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3826,8 +3810,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3889,8 +3872,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3957,8 +3939,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4026,8 +4007,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4069,9 +4049,12 @@ fi
-echo "$as_me:$LINENO: checking for X" >&5
+
+if test "x$ac_path_x_has_been_run" != xyes; then
+ echo "$as_me:$LINENO: checking for X" >&5
echo $ECHO_N "checking for X... $ECHO_C" >&6
+ac_path_x_has_been_run=yes
# Check whether --with-x or --without-x was given.
if test "${with_x+set}" = set; then
@@ -4164,7 +4147,7 @@ ac_x_header_dirs='
/usr/openwin/share/include'
if test "$ac_x_includes" = no; then
- # Guess where to find include files, by looking for Intrinsic.h.
+ # Guess where to find include files, by looking for a specified header file.
# First, try using that file with no special directory specified.
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -4238,8 +4221,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4299,10 +4281,15 @@ else
# Update the cache value to reflect the command line values.
ac_cv_have_x="have_x=yes \
ac_x_includes=$x_includes ac_x_libraries=$x_libraries"
- echo "$as_me:$LINENO: result: libraries $x_libraries, headers $x_includes" >&5
-echo "${ECHO_T}libraries $x_libraries, headers $x_includes" >&6
+ # It might be that x_includes is empty (headers are found in the
+ # standard search path. Then output the corresponding message
+ ac_out_x_includes=$x_includes
+ test "x$x_includes" = x && ac_out_x_includes="in standard search path"
+ echo "$as_me:$LINENO: result: libraries $x_libraries, headers $ac_out_x_includes" >&5
+echo "${ECHO_T}libraries $x_libraries, headers $ac_out_x_includes" >&6
fi
+fi
if test "$no_x" = yes; then
# Not all programs may use this symbol, but it does not hurt to define it.
@@ -4350,8 +4337,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4402,8 +4388,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4479,8 +4464,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4535,8 +4519,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4604,8 +4587,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4713,8 +4695,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4778,8 +4759,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4847,8 +4827,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -4952,8 +4931,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5017,8 +4995,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5115,8 +5092,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5180,8 +5156,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5278,8 +5253,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5343,8 +5317,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5423,8 +5396,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5537,8 +5509,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5615,8 +5586,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5694,8 +5664,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5741,7 +5710,7 @@ if test "${ac_cv_lib_zvbi_vbi_capture_fd+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lzvbi $LIBS"
+LIBS="-lzvbi $LIBPTHREAD $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
@@ -5773,8 +5742,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5852,8 +5820,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5901,7 +5868,7 @@ if test "${ac_cv_lib_dv_dv_decoder_new+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-ldv -lm $LIBS"
+LIBS="-ldv -lm $LIBPTHREAD $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
@@ -5933,8 +5900,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -5979,7 +5945,7 @@ if test "${ac_cv_lib_quicktime_lqt_query_registry+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lquicktime -ldl $dashlglib $LIBPTHREAD $LIBS"
+LIBS="-lquicktime $DLFLAGS $dashlglib $LIBPTHREAD $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
@@ -6011,8 +5977,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6050,7 +6015,7 @@ else
fi
QTLIBS=""
if test "$FOUND_LQT" = "yes"; then
- QTLIBS="-lquicktime -ldl $dashlglib -lm"
+ QTLIBS="-lquicktime $DLFLAGS $dashlglib -lm"
fi
@@ -6094,8 +6059,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6168,8 +6132,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6242,8 +6205,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6316,8 +6278,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6389,8 +6350,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6463,8 +6423,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6537,8 +6496,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6616,8 +6574,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6694,8 +6651,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -6769,8 +6725,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -7688,11 +7643,6 @@ esac
*) ac_INSTALL=$ac_top_builddir$INSTALL ;;
esac
- if test x"$ac_file" != x-; then
- { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
- rm -f "$ac_file"
- fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
@@ -7731,6 +7681,12 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
fi;;
esac
done` || { (exit 1); exit 1; }
+
+ if test x"$ac_file" != x-; then
+ { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+ rm -f "$ac_file"
+ fi
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF
sed "$ac_vpsub
diff --git a/configure.ac b/configure.ac
index 16bda91..2f8d9cc 100644
--- a/configure.ac
+++ b/configure.ac
@@ -194,7 +194,7 @@ AC_SUBST(LIBZVBI)
LIBZVBI=""
if test "$enable_zvbi" != "no"; then
AC_CHECK_LIB(zvbi, vbi_capture_fd,
- AC_DEFINE(HAVE_ZVBI,1,"have zvbi") FOUND_ZVBI="yes"; LIBZVBI="-lzvbi -lpthread -lm -lpng -lz",,)
+ AC_DEFINE(HAVE_ZVBI,1,"have zvbi") FOUND_ZVBI="yes"; LIBZVBI="-lzvbi -lpthread -lm -lpng -lz",,$LIBPTHREAD)
else
echo "*** zvbi disabled"
fi
@@ -217,7 +217,8 @@ AC_SUBST(LIBDV)
LIBDV=""
if test "$enable_dv" != "no"; then
AC_CHECK_LIB(dv, dv_decoder_new,
- AC_DEFINE(HAVE_DV,1,"have dv") FOUND_DV="yes"; LIBDV="-ldv -lm",,-lm)
+ AC_DEFINE(HAVE_DV,1,"have dv") FOUND_DV="yes"; LIBDV="-ldv -lm",,
+ -lm $LIBPTHREAD)
else
echo "*** DV disabled"
fi
@@ -226,13 +227,13 @@ dashlglib=$(glib-config --libs 2>/dev/null)
if test "$enable_quicktime" != "no"; then
AC_CHECK_LIB(quicktime, lqt_query_registry,
FOUND_LQT="yes"; AC_DEFINE(HAVE_LIBQUICKTIME,1,"have libquicktime"),,
- -ldl $dashlglib $LIBPTHREAD)
+ $DLFLAGS $dashlglib $LIBPTHREAD)
else
echo "*** quicktime disabled"
fi
QTLIBS=""
if test "$FOUND_LQT" = "yes"; then
- QTLIBS="-lquicktime -ldl $dashlglib -lm"
+ QTLIBS="-lquicktime $DLFLAGS $dashlglib -lm"
fi
AC_SUBST(QTLIBS)
diff --git a/console/fbtv.c b/console/fbtv.c
index 58a89ae..30007c0 100644
--- a/console/fbtv.c
+++ b/console/fbtv.c
@@ -82,80 +82,80 @@ int x11_native_format,have_dga=1,debug;
struct event_entry kbd_events[] = {
{
- event: "kbd-key-+",
- action: "volume inc",
+ .event = "kbd-key-+",
+ .action = "volume inc",
},{
- event: "kbd-key--",
- action: "volume dec",
+ .event = "kbd-key--",
+ .action = "volume dec",
},{
- event: "kbd-key-enter",
- action: "volume mute",
+ .event = "kbd-key-enter",
+ .action = "volume mute",
},{
- event: "kbd-key-space",
- action: "setstation next",
+ .event = "kbd-key-space",
+ .action = "setstation next",
},{
- event: "kbd-key-backspace",
- action: "setstation back",
+ .event = "kbd-key-backspace",
+ .action = "setstation back",
},{
- event: "kbd-key-pgup",
- action: "setstation prev",
+ .event = "kbd-key-pgup",
+ .action = "setstation next",
},{
- event: "kbd-key-pgdown",
- action: "setstation next",
+ .event = "kbd-key-pgdown",
+ .action = "setstation prev",
},{
- event: "kbd-key-right",
- action: "setchannel fine_up",
+ .event = "kbd-key-right",
+ .action = "setchannel fine_up",
},{
- event: "kbd-key-left",
- action: "setchannel fine_down",
+ .event = "kbd-key-left",
+ .action = "setchannel fine_down",
},{
- event: "kbd-key-up",
- action: "setchannel next",
+ .event = "kbd-key-up",
+ .action = "setchannel next",
},{
- event: "kbd-key-down",
- action: "setchannel prev",
+ .event = "kbd-key-down",
+ .action = "setchannel prev",
},{
- event: "kbd-key-g",
- action: "snap ppm",
+ .event = "kbd-key-g",
+ .action = "snap ppm",
},{
- event: "kbd-key-j",
- action: "snap jpeg",
+ .event = "kbd-key-j",
+ .action = "snap jpeg",
},{
- event: "kbd-key-v",
- action: "capture toggle",
+ .event = "kbd-key-v",
+ .action = "capture toggle",
},{
- event: "kbd-key-f",
- action: "fullscreen toggle",
+ .event = "kbd-key-f",
+ .action = "fullscreen toggle",
},{
- event: "kbd-key-0",
- action: "keypad 0",
+ .event = "kbd-key-0",
+ .action = "keypad 0",
},{
- event: "kbd-key-1",
- action: "keypad 1",
+ .event = "kbd-key-1",
+ .action = "keypad 1",
},{
- event: "kbd-key-2",
- action: "keypad 2",
+ .event = "kbd-key-2",
+ .action = "keypad 2",
},{
- event: "kbd-key-3",
- action: "keypad 3",
+ .event = "kbd-key-3",
+ .action = "keypad 3",
},{
- event: "kbd-key-4",
- action: "keypad 4",
+ .event = "kbd-key-4",
+ .action = "keypad 4",
},{
- event: "kbd-key-5",
- action: "keypad 5",
+ .event = "kbd-key-5",
+ .action = "keypad 5",
},{
- event: "kbd-key-6",
- action: "keypad 6",
+ .event = "kbd-key-6",
+ .action = "keypad 6",
},{
- event: "kbd-key-7",
- action: "keypad 7",
+ .event = "kbd-key-7",
+ .action = "keypad 7",
},{
- event: "kbd-key-8",
- action: "keypad 8",
+ .event = "kbd-key-8",
+ .action = "keypad 8",
},{
- event: "kbd-key-9",
- action: "keypad 9",
+ .event = "kbd-key-9",
+ .action = "keypad 9",
},{
/* end of list */
diff --git a/x11/blit.c.orig b/x11/blit.c.orig
deleted file mode 100644
index 56434f7..0000000
--- a/x11/blit.c.orig
+++ /dev/null
@@ -1,949 +0,0 @@
-/*
- * x11 helper functions -- blit frames to the screen
- *
- */
-
-#include "config.h"
-
-#include <stdio.h>
-#include <stdlib.h>
-#include <strings.h>
-#include <errno.h>
-#include <assert.h>
-#include <pthread.h>
-#include <sys/ipc.h>
-#include <sys/shm.h>
-
-#include <X11/Xlib.h>
-#include <X11/Intrinsic.h>
-#include <X11/extensions/XShm.h>
-#ifdef HAVE_LIBXV
-# include <X11/extensions/Xv.h>
-# include <X11/extensions/Xvlib.h>
-#endif
-
-#if HAVE_GL
-# include <GL/gl.h>
-# include <GL/glx.h>
-#endif
-
-#include "grab-ng.h"
-#include "blit.h"
-
-/* ------------------------------------------------------------------------ */
-
-extern XtAppContext app_context;
-extern int debug;
-
-unsigned int x11_dpy_fmtid;
-
-static int display_bits = 0;
-static unsigned int display_bytes = 0;
-static unsigned int pixmap_bytes = 0;
-static bool x11_byteswap = 0;
-static int no_mitshm = 0;
-
-#if HAVE_LIBXV
-static int ver, rel, req, ev, err;
-static int formats;
-static int adaptors;
-static XvImageFormatValues *fo;
-static XvAdaptorInfo *ai;
-#endif
-
-static unsigned int im_adaptor,im_port = UNSET;
-static unsigned int im_formats[VIDEO_FMT_COUNT];
-
-static struct SEARCHFORMAT {
- unsigned int depth;
- int order;
- unsigned long red;
- unsigned long green;
- unsigned long blue;
- unsigned int format;
-} fmt[] = {
- { 2, MSBFirst, 0x7c00, 0x03e0, 0x001f, VIDEO_RGB15_BE },
- { 2, MSBFirst, 0xf800, 0x07e0, 0x001f, VIDEO_RGB16_BE },
- { 2, LSBFirst, 0x7c00, 0x03e0, 0x001f, VIDEO_RGB15_LE },
- { 2, LSBFirst, 0xf800, 0x07e0, 0x001f, VIDEO_RGB16_LE },
-
- { 3, LSBFirst, 0x00ff0000, 0x0000ff00, 0x000000ff, VIDEO_BGR24 },
- { 3, LSBFirst, 0x000000ff, 0x0000ff00, 0x00ff0000, VIDEO_RGB24 },
- { 3, MSBFirst, 0x00ff0000, 0x0000ff00, 0x000000ff, VIDEO_RGB24 },
- { 3, MSBFirst, 0x000000ff, 0x0000ff00, 0x00ff0000, VIDEO_BGR24 },
-
- { 4, LSBFirst, 0x00ff0000, 0x0000ff00, 0x000000ff, VIDEO_BGR32 },
- { 4, LSBFirst, 0x0000ff00, 0x00ff0000, 0xff000000, VIDEO_RGB32 },
- { 4, MSBFirst, 0x00ff0000, 0x0000ff00, 0x000000ff, VIDEO_RGB32 },
- { 4, MSBFirst, 0x0000ff00, 0x00ff0000, 0xff000000, VIDEO_BGR32 },
-
- { 2, -1, 0, 0, 0, VIDEO_LUT2 },
- { 4, -1, 0, 0, 0, VIDEO_LUT4 },
- { 0 /* END OF LIST */ },
-};
-
-static int
-catch_no_mitshm(Display * dpy, XErrorEvent * event)
-{
- no_mitshm++;
- return 0;
-}
-
-/* ------------------------------------------------------------------------ */
-/* plain X11 stuff */
-
-Visual*
-x11_find_visual(Display *dpy)
-{
- XVisualInfo *info, template;
- Visual* vi = CopyFromParent;
- int found,i;
- char *class;
-
- template.screen = XDefaultScreen(dpy);
- info = XGetVisualInfo(dpy, VisualScreenMask,&template,&found);
- for (i = 0; i < found; i++) {
- switch (info[i].class) {
- case StaticGray: class = "StaticGray"; break;
- case GrayScale: class = "GrayScale"; break;
- case StaticColor: class = "StaticColor"; break;
- case PseudoColor: class = "PseudoColor"; break;
- case TrueColor: class = "TrueColor"; break;
- case DirectColor: class = "DirectColor"; break;
- default: class = "UNKNOWN"; break;
- }
- if (debug)
- fprintf(stderr,"visual: id=0x%lx class=%d (%s), depth=%d\n",
- info[i].visualid,info[i].class,class,info[i].depth);
- }
- for (i = 0; vi == CopyFromParent && i < found; i++)
- if (info[i].class == TrueColor && info[i].depth >= 15)
- vi = info[i].visual;
- for (i = 0; vi == CopyFromParent && i < found; i++)
- if (info[i].class == StaticGray && info[i].depth == 8)
- vi = info[i].visual;
- return vi;
-}
-
-void
-x11_init_visual(Display *dpy, XVisualInfo *vinfo)
-{
- XPixmapFormatValues *pf;
- int i,n;
- int format = 0;
-
- if (!XShmQueryExtension(dpy))
- no_mitshm = 1;
-
- display_bits = vinfo->depth;
- display_bytes = (display_bits+7)/8;
-
- pf = XListPixmapFormats(dpy,&n);
- for (i = 0; i < n; i++)
- if (pf[i].depth == display_bits)
- pixmap_bytes = pf[i].bits_per_pixel/8;
-
- if (debug) {
- fprintf(stderr,"x11: color depth: "
- "%d bits, %d bytes - pixmap: %d bytes\n",
- display_bits,display_bytes,pixmap_bytes);
- if (vinfo->class == TrueColor || vinfo->class == DirectColor)
- fprintf(stderr, "x11: color masks: "
- "red=0x%08lx green=0x%08lx blue=0x%08lx\n",
- vinfo->red_mask, vinfo->green_mask, vinfo->blue_mask);
- fprintf(stderr,"x11: server byte order: %s\n",
- ImageByteOrder(dpy)==LSBFirst ? "little endian":"big endian");
- fprintf(stderr,"x11: client byte order: %s\n",
- BYTE_ORDER==LITTLE_ENDIAN ? "little endian":"big endian");
- }
- if (ImageByteOrder(dpy)==LSBFirst && BYTE_ORDER!=LITTLE_ENDIAN)
- x11_byteswap=1;
- if (ImageByteOrder(dpy)==MSBFirst && BYTE_ORDER!=BIG_ENDIAN)
- x11_byteswap=1;
- if (vinfo->class == TrueColor /* || vinfo->class == DirectColor */) {
- /* pixmap format */
- for (i = 0; fmt[i].depth > 0; i++) {
- if (fmt[i].depth == pixmap_bytes &&
- (fmt[i].order == ImageByteOrder(dpy) || fmt[i].order == -1) &&
- (fmt[i].red == vinfo->red_mask || fmt[i].red == 0) &&
- (fmt[i].green == vinfo->green_mask || fmt[i].green == 0) &&
- (fmt[i].blue == vinfo->blue_mask || fmt[i].blue == 0)) {
- x11_dpy_fmtid = fmt[i].format;
- break;
- }
- }
- if (fmt[i].depth == 0) {
- fprintf(stderr, "Huh?\n");
- exit(1);
- }
- ng_lut_init(vinfo->red_mask, vinfo->green_mask, vinfo->blue_mask,
- x11_dpy_fmtid,x11_byteswap);
- /* guess physical screen format */
- if (ImageByteOrder(dpy) == MSBFirst) {
- switch (pixmap_bytes) {
- case 2: format = (display_bits==15) ?
- VIDEO_RGB15_BE : VIDEO_RGB16_BE; break;
- case 3: format = VIDEO_RGB24; break;
- case 4: format = VIDEO_RGB32; break;
- }
- } else {
- switch (pixmap_bytes) {
- case 2: format = (display_bits==15) ?
- VIDEO_RGB15_LE : VIDEO_RGB16_LE; break;
- case 3: format = VIDEO_BGR24; break;
- case 4: format = VIDEO_BGR32; break;
- }
- }
- }
- if (vinfo->class == StaticGray && vinfo->depth == 8) {
- format = VIDEO_GRAY;
- }
- if (0 == format) {
- if (vinfo->class == PseudoColor && vinfo->depth == 8) {
- fprintf(stderr,
-"\n"
-"8-bit Pseudocolor Visual (256 colors) is *not* supported.\n"
-"You can startup X11 either with 15 bpp (or more)...\n"
-" xinit -- -bpp 16\n"
-"... or with StaticGray visual:\n"
-" xinit -- -cc StaticGray\n"
- );
- } else {
- fprintf(stderr, "Sorry, I can't handle your strange display\n");
- }
- exit(1);
- }
- x11_dpy_fmtid = format;
-}
-
-XImage*
-x11_create_ximage(Display *dpy, XVisualInfo *vinfo,
- int width, int height, XShmSegmentInfo **shm)
-{
- XImage *ximage = NULL;
- unsigned char *ximage_data;
- XShmSegmentInfo *shminfo = NULL;
- void *old_handler;
-
- if (no_mitshm)
- goto no_mitshm;
-
- assert(width > 0 && height > 0);
-
- old_handler = XSetErrorHandler(catch_no_mitshm);
- shminfo = malloc(sizeof(XShmSegmentInfo));
- memset(shminfo, 0, sizeof(XShmSegmentInfo));
- ximage = XShmCreateImage(dpy,vinfo->visual,vinfo->depth,
- ZPixmap, NULL,
- shminfo, width, height);
- if (NULL == ximage)
- goto shm_error;
- shminfo->shmid = shmget(IPC_PRIVATE,
- ximage->bytes_per_line * ximage->height,
- IPC_CREAT | 0777);
- if (-1 == shminfo->shmid) {
- perror("shmget [x11]");
- goto shm_error;
- }
- shminfo->shmaddr = (char *) shmat(shminfo->shmid, 0, 0);
- if ((void *)-1 == shminfo->shmaddr) {
- perror("shmat");
- goto shm_error;
- }
- ximage->data = shminfo->shmaddr;
- shminfo->readOnly = False;
-
- XShmAttach(dpy, shminfo);
- XSync(dpy, False);
- if (no_mitshm)
- goto shm_error;
- shmctl(shminfo->shmid, IPC_RMID, 0);
- XSetErrorHandler(old_handler);
- *shm = shminfo;
- return ximage;
-
- shm_error:
- if (ximage) {
- XDestroyImage(ximage);
- ximage = NULL;
- }
- if ((void *)-1 != shminfo->shmaddr && NULL != shminfo->shmaddr)
- shmdt(shminfo->shmaddr);
- free(shminfo);
- XSetErrorHandler(old_handler);
- no_mitshm = 1;
-
- no_mitshm:
- *shm = NULL;
- if (NULL == (ximage_data = malloc(width * height * pixmap_bytes))) {
- fprintf(stderr,"out of memory\n");
- exit(1);
- }
- ximage = XCreateImage(dpy, vinfo->visual, vinfo->depth,
- ZPixmap, 0, ximage_data,
- width, height,
- 8, 0);
- memset(ximage->data, 0, ximage->bytes_per_line * ximage->height);
- return ximage;
-}
-
-void
-x11_destroy_ximage(Display *dpy, XImage *ximage, XShmSegmentInfo *shm)
-{
- if (shm && !no_mitshm) {
- XShmDetach(dpy, shm);
- XDestroyImage(ximage);
- shmdt(shm->shmaddr);
- free(shm);
- } else
- XDestroyImage(ximage);
-}
-
-void x11_blit(Display *dpy, Drawable dr, GC gc, XImage *xi,
- int a, int b, int c, int d, int w, int h)
-{
- if (no_mitshm)
- XPutImage(dpy,dr,gc,xi,a,b,c,d,w,h);
- else
- XShmPutImage(dpy,dr,gc,xi,a,b,c,d,w,h,True);
-}
-
-Pixmap
-x11_create_pixmap(Display *dpy, XVisualInfo *vinfo, struct ng_video_buf *buf)
-{
- Pixmap pixmap;
- XImage *ximage;
- GC gc;
- XShmSegmentInfo *shm;
- Screen *scr = DefaultScreenOfDisplay(dpy);
-
- pixmap = XCreatePixmap(dpy,RootWindowOfScreen(scr),
- buf->fmt.width, buf->fmt.height, vinfo->depth);
-
- gc = XCreateGC(dpy, pixmap, 0, NULL);
-
- if (NULL == (ximage = x11_create_ximage(dpy, vinfo, buf->fmt.width,
- buf->fmt.height, &shm))) {
- XFreePixmap(dpy, pixmap);
- XFreeGC(dpy, gc);
- return 0;
- }
- memcpy(ximage->data,buf->data,buf->size);
- x11_blit(dpy, pixmap, gc, ximage, 0, 0, 0, 0,
- buf->fmt.width, buf->fmt.height);
- x11_destroy_ximage(dpy, ximage, shm);
- XFreeGC(dpy, gc);
- return pixmap;
-}
-
-/* ------------------------------------------------------------------------ */
-/* XVideo extention code */
-
-#ifdef HAVE_LIBXV
-void xv_image_init(Display *dpy)
-{
- int i;
-
- if (Success != XvQueryExtension(dpy,&ver,&rel,&req,&ev,&err)) {
- if (debug)
- fprintf(stderr,"Xvideo: Server has no Xvideo extention support\n");
- return;
- }
- if (Success != XvQueryAdaptors(dpy,DefaultRootWindow(dpy),&adaptors,&ai)) {
- fprintf(stderr,"Xvideo: XvQueryAdaptors failed");
- return;
- }
- for (i = 0; i < adaptors; i++) {
- if ((ai[i].type & XvInputMask) &&
- (ai[i].type & XvImageMask) &&
- (im_port == UNSET)) {
- im_port = ai[i].base_id;
- im_adaptor = i;
- }
- }
- if (UNSET == im_port)
- return;
-
- fo = XvListImageFormats(dpy, im_port, &formats);
- if (debug)
- fprintf(stderr," image format list for port %d\n",im_port);
- for(i = 0; i < formats; i++) {
- if (debug)
- fprintf(stderr, " 0x%x (%c%c%c%c) %s",
- fo[i].id,
- (fo[i].id) & 0xff,
- (fo[i].id >> 8) & 0xff,
- (fo[i].id >> 16) & 0xff,
- (fo[i].id >> 24) & 0xff,
- (fo[i].format == XvPacked) ? "packed" : "planar");
- if (0x32595559 == fo[i].id) {
- im_formats[VIDEO_YUYV] = fo[i].id;
- if (debug)
- fprintf(stderr," [ok: %s]",ng_vfmt_to_desc[VIDEO_YUYV]);
- }
- if (0x59565955 == fo[i].id) {
- im_formats[VIDEO_UYVY] = fo[i].id;
- if (debug)
- fprintf(stderr," [ok: %s]",ng_vfmt_to_desc[VIDEO_UYVY]);
- }
- if (0x30323449 == fo[i].id) {
- im_formats[VIDEO_YUV420P] = fo[i].id;
- if (debug)
- fprintf(stderr," [ok: %s]",ng_vfmt_to_desc[VIDEO_YUV420P]);
- }
- if (debug)
- fprintf(stderr,"\n");
- }
-}
-
-XvImage*
-xv_create_ximage(Display *dpy, int width, int height, int format,
- XShmSegmentInfo **shm)
-{
- XvImage *xvimage = NULL;
- unsigned char *ximage_data;
- XShmSegmentInfo *shminfo = NULL;
- void *old_handler;
-
- if (no_mitshm)
- goto no_mitshm;
-
- old_handler = XSetErrorHandler(catch_no_mitshm);
- shminfo = malloc(sizeof(XShmSegmentInfo));
- memset(shminfo, 0, sizeof(XShmSegmentInfo));
- xvimage = XvShmCreateImage(dpy, im_port, format, 0,
- width, height, shminfo);
- if (NULL == xvimage)
- goto shm_error;
- shminfo->shmid = shmget(IPC_PRIVATE, xvimage->data_size,
- IPC_CREAT | 0777);
- if (-1 == shminfo->shmid) {
- perror("shmget [xv]");
- goto shm_error;
- }
- shminfo->shmaddr = (char *) shmat(shminfo->shmid, 0, 0);
- if ((void *)-1 == shminfo->shmaddr) {
- perror("shmat");
- goto shm_error;
- }
- xvimage->data = shminfo->shmaddr;
- shminfo->readOnly = False;
-
- XShmAttach(dpy, shminfo);
- XSync(dpy, False);
- if (no_mitshm)
- goto shm_error;
- shmctl(shminfo->shmid, IPC_RMID, 0);
- XSetErrorHandler(old_handler);
- *shm = shminfo;
- return xvimage;
-
-shm_error:
- if (xvimage) {
- XFree(xvimage);
- xvimage = NULL;
- }
- if ((void *)-1 != shminfo->shmaddr && NULL != shminfo->shmaddr)
- shmdt(shminfo->shmaddr);
- free(shminfo);
- XSetErrorHandler(old_handler);
- no_mitshm = 1;
-
- no_mitshm:
- *shm = NULL;
- if (NULL == (ximage_data = malloc(width * height * 2))) {
- fprintf(stderr,"out of memory\n");
- exit(1);
- }
- xvimage = XvCreateImage(dpy, im_port, format, ximage_data,
- width, height);
- return xvimage;
-}
-
-void
-xv_destroy_ximage(Display *dpy, XvImage * xvimage, XShmSegmentInfo *shm)
-{
- if (shm && !no_mitshm) {
- XShmDetach(dpy, shm);
- XFree(xvimage);
- shmdt(shm->shmaddr);
- free(shm);
- } else
- XFree(xvimage);
-}
-
-void xv_blit(Display *dpy, Drawable dr, GC gc, XvImage *xi,
- int a, int b, int c, int d, int x, int y, int w, int h)
-{
- if (no_mitshm)
- XvPutImage(dpy,im_port,dr,gc,xi,a,b,c,d,x,y,w,h);
- else
- XvShmPutImage(dpy,im_port,dr,gc,xi,a,b,c,d,x,y,w,h,True);
-}
-#endif
-
-/* ------------------------------------------------------------------------ */
-/* OpenGL code */
-
-#if HAVE_GL
-static int have_gl,max_gl;
-static int gl_attrib[] = { GLX_RGBA,
- GLX_RED_SIZE, 1,
- GLX_GREEN_SIZE, 1,
- GLX_BLUE_SIZE, 1,
- GLX_DOUBLEBUFFER,
- None };
-
-struct {
- int fmt;
- int type;
- char *ext;
-} gl_formats[VIDEO_FMT_COUNT] = {
- [ VIDEO_RGB24 ] = {
- fmt: GL_RGB,
- type: GL_UNSIGNED_BYTE,
- },
-#ifdef GL_EXT_bgra
- [ VIDEO_BGR24 ] = {
- fmt: GL_BGR_EXT,
- type: GL_UNSIGNED_BYTE,
- ext: "GL_EXT_bgra",
- },
- [ VIDEO_BGR32 ] = {
- fmt: GL_BGRA_EXT,
- type: GL_UNSIGNED_BYTE,
- ext: "GL_EXT_bgra",
- },
-#endif
-};
-
-static int gl_init(Widget widget)
-{
- XVisualInfo *visinfo;
- GLXContext ctx;
-
- if (debug)
- fprintf(stderr,"blit: gl: init\n");
- visinfo = glXChooseVisual(XtDisplay(widget),
- XScreenNumberOfScreen(XtScreen(widget)),
- gl_attrib);
- if (!visinfo) {
- if (debug)
- fprintf(stderr,"blit: gl: can't get visual (rgb,db)\n");
- return -1;
- }
- ctx = glXCreateContext(XtDisplay(widget), visinfo, NULL, True);
- glXMakeCurrent(XtDisplay(widget),XtWindow(widget),ctx);
- if (debug)
- fprintf(stderr, "blit: gl: DRI=%s\n",
- glXIsDirect(XtDisplay(widget), ctx) ? "Yes" : "No");
-
- /* there is no point in using OpenGL for image scaling if it
- * isn't hardware accelerated ... */
- if (!glXIsDirect(XtDisplay(widget), ctx))
- return -1;
-
- have_gl = 1;
- glGetIntegerv(GL_MAX_TEXTURE_SIZE,&max_gl);
- if (debug)
- fprintf(stderr,"blit: gl: texture max size: %d\n",max_gl);
- return 0;
-}
-
-static int gl_ext(GLubyte *find)
-{
- int len = strlen(find);
- const GLubyte *ext;
- GLubyte *pos;
-
- ext = glGetString(GL_EXTENSIONS);
- if (NULL == ext)
- return 0;
- if (NULL == (pos = strstr(ext,find)))
- return 0;
- if (pos != ext && pos[-1] != ' ')
- return 0;
- if (pos[len] != ' ' && pos[len] != '\0')
- return 0;
- if (debug)
- fprintf(stderr,"blit: gl: extention %s is available\n",find);
- return 1;
-}
-
-static int gl_resize(int iw, int ih, int ww, int wh,
- GLint *tex, int *tw, int *th, int fmt, int type)
-{
- char *dummy;
- int i;
-
- /* check against max size */
- if (iw > max_gl)
- return -1;
- if (ih > max_gl)
- return -1;
-
- /* textures have power-of-two x,y dimensions */
- for (i = 0; iw >= (1 << i); i++)
- ;
- *tw = (1 << i);
- for (i = 0; ih >= (1 << i); i++)
- ;
- *th = (1 << i);
- if (debug)
- fprintf(stderr,"blit: gl: frame=%dx%d, texture=%dx%d\n",
- iw,ih,*tw,*th);
-
- glClearColor (0.0, 0.0, 0.0, 0.0);
- glShadeModel(GL_FLAT);
- glPixelStorei(GL_UNPACK_ALIGNMENT, 1);
-
- glViewport(0, 0, ww, wh);
- glMatrixMode(GL_PROJECTION);
- glLoadIdentity();
- glOrtho(0.0, ww, 0.0, wh, -1, 1);
- glMatrixMode(GL_MODELVIEW);
- glLoadIdentity();
-
- glGenTextures(1,tex);
- glBindTexture(GL_TEXTURE_2D,*tex);
- glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
- glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
- dummy = malloc((*tw)*(*th)*3);
- memset(dummy,128,(*tw)*(*th)*3);
- glTexImage2D(GL_TEXTURE_2D, 0, GL_RGB,*tw,*th,0,
- fmt,type,dummy);
- free(dummy);
-
- return 0;
-}
-
-static void gl_cleanup(GLint tex)
-{
- /* FIXME: del texture */
-}
-
-static void gl_blit(Widget widget, char *rgbbuf,
- int iw, int ih, int ww, int wh,
- GLint tex, int tw, int th, int fmt, int type)
-{
- float x,y;
-
- glTexSubImage2D(GL_TEXTURE_2D, 0, 0,0,iw,ih, fmt,type,rgbbuf);
- x = (float)iw/tw;
- y = (float)ih/th;
-
- glEnable(GL_TEXTURE_2D);
- glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_DECAL);
- glBegin(GL_QUADS);
- glTexCoord2f(0,y); glVertex3f(0,0,0);
- glTexCoord2f(0,0); glVertex3f(0,wh,0);
- glTexCoord2f(x,0); glVertex3f(ww,wh,0);
- glTexCoord2f(x,y); glVertex3f(ww,0,0);
- glEnd();
- glXSwapBuffers(XtDisplay(widget), XtWindow(widget));
- glDisable(GL_TEXTURE_2D);
-}
-#endif
-
-/* ------------------------------------------------------------------------ */
-/* video frame blitter */
-
-enum blit_status {
- STATUS_UNKNOWN = 0,
- STATUS_BROKEN = 1,
- STATUS_CONVERT = 2,
- STATUS_XVIDEO = 3,
- STATUS_OPENGL = 4,
-};
-
-struct blit_state {
- enum blit_status status;
- Widget widget;
- Dimension win_width, win_height;
- int wx,wy,ww,wh;
- GC gc;
- XVisualInfo *vinfo;
- struct ng_video_fmt fmt;
- struct ng_video_buf buf;
- struct ng_video_conv *conv;
- struct ng_convert_handle *chandle;
- XShmSegmentInfo *shm;
- XImage *ximage;
-#ifdef HAVE_LIBXV
- XvImage *xvimage;
-#endif
-#if HAVE_GL
- GLint tex;
- int tw,th;
-#endif
-};
-
-struct blit_state*
-blit_init(Widget widget, XVisualInfo *vinfo, int use_gl)
-{
- struct blit_state *st;
-
- if (debug)
- fprintf(stderr,"blit: init\n");
- BUG_ON(0 == XtWindow(widget), "no blit window");
-
- st = malloc(sizeof(*st));
- memset(st,0,sizeof(*st));
-
- st->widget = widget;
- st->vinfo = vinfo;
- st->gc = XCreateGC(XtDisplay(st->widget),XtWindow(st->widget),0,NULL);
-#ifdef HAVE_GL
- if (use_gl)
- gl_init(st->widget);
-#endif
-
- return st;
-}
-
-void blit_get_formats(struct blit_state *st, int *fmtids, int max)
-{
- struct ng_video_conv *conv;
- int i, n=0;
-
- BUG_ON(NULL == st, "blit handle is NULL");
-
- /* Xvideo extention */
-#ifdef HAVE_LIBXV
- for (i = 0; i < VIDEO_FMT_COUNT; i++) {
- if (0 != im_formats[i])
- fmtids[n++] = i;
- if (n == max)
- return;
- }
-#endif
-
-#if HAVE_GL
- /* OpenGL */
- if (have_gl) {
- for (i = 0; i < VIDEO_FMT_COUNT; i++) {
- if (0 != gl_formats[i].fmt &&
- (NULL == gl_formats[i].ext || gl_ext(gl_formats[i].ext)))
- fmtids[n++] = i;
- if (n == max)
- return;
- }
- }
-#endif
-
- /* plain X11 */
- fmtids[n++] = x11_dpy_fmtid;
- if (n == max)
- return;
- for (i = 0;;) {
- conv = ng_conv_find_to(x11_dpy_fmtid, &i);
- if (NULL == conv)
- break;
- fmtids[n++] = conv->fmtid_in;
- if (n == max)
- return;
- }
- for (; n < max; n++)
- fmtids[n] = 0;
-}
-
-void blit_resize(struct blit_state *st, Dimension width, Dimension height)
-{
- if (debug)
- fprintf(stderr,"blit: resize %dx%d\n",width,height);
- st->win_width = width;
- st->win_height = height;
-
- st->wx = 0;
- st->wy = 0;
- st->ww = st->win_width;
- st->wh = st->win_height;
- ng_ratio_fixup(&st->ww, &st->wh, &st->wx, &st->wy);
-
- blit_fini_frame(st);
-}
-
-void blit_init_frame(struct blit_state *st, struct ng_video_fmt *fmt)
-{
- struct ng_video_conv *conv;
- int i;
-
- /* Xvideo extention */
-#ifdef HAVE_LIBXV
- if (0 != im_formats[fmt->fmtid]) {
- st->xvimage = xv_create_ximage(XtDisplay(st->widget),
- fmt->width, fmt->height,
- im_formats[fmt->fmtid],
- &st->shm);
- st->buf.fmt = *fmt;
- st->status = STATUS_XVIDEO;
- if (debug)
- fprintf(stderr,"blit: %dx%d/[%s] => Xvideo\n",
- fmt->width, fmt->height, ng_vfmt_to_desc[fmt->fmtid]);
- return;
- }
-#endif
-
-#if HAVE_GL
- /* OpenGL */
- if (have_gl && 0 != gl_formats[fmt->fmtid].fmt &&
- (NULL == gl_formats[fmt->fmtid].ext ||
- gl_ext(gl_formats[fmt->fmtid].ext)) &&
- 0 == gl_resize(fmt->width,fmt->height,
- st->win_width,st->win_height,
- &st->tex,&st->tw,&st->th,
- gl_formats[fmt->fmtid].fmt,
- gl_formats[fmt->fmtid].type)) {
- st->buf.fmt = *fmt;
- st->status = STATUS_OPENGL;
- if (debug)
- fprintf(stderr,"blit: %dx%d/[%s] => OpenGL\n",
- fmt->width, fmt->height, ng_vfmt_to_desc[fmt->fmtid]);
- return;
- }
-#endif
-
- /* plain X11 */
- st->ximage = x11_create_ximage(XtDisplay(st->widget), st->vinfo,
- fmt->width, fmt->height,
- &st->shm);
- st->buf.data = st->ximage->data;
- if (x11_dpy_fmtid == fmt->fmtid) {
- st->buf.fmt = *fmt;
- st->status = STATUS_CONVERT;
- if (debug)
- fprintf(stderr,"blit: %dx%d/[%s] => X11 direct\n",
- fmt->width, fmt->height, ng_vfmt_to_desc[fmt->fmtid]);
- return;
- }
- for (i = 0;;) {
- conv = ng_conv_find_to(x11_dpy_fmtid, &i);
- if (NULL == conv) {
- st->status = STATUS_BROKEN;
- if (debug)
- fprintf(stderr,"blit: %dx%d/[%s] => can't display\n",
- fmt->width, fmt->height, ng_vfmt_to_desc[fmt->fmtid]);
- return;
- }
- if (debug)
- fprintf(stderr,"blit test: %s\n",ng_vfmt_to_desc[conv->fmtid_in]);
- if (conv->fmtid_in != fmt->fmtid)
- continue;
- break;
- }
- st->buf.fmt = *fmt;
- st->status = STATUS_CONVERT;
- st->conv = conv;
- st->buf.fmt.fmtid = x11_dpy_fmtid;
- st->buf.fmt.bytesperline = 0;
- st->chandle = ng_convert_alloc(st->conv,fmt,&st->buf.fmt);
- ng_convert_init(st->chandle);
- if (debug)
- fprintf(stderr,"blit: %dx%d/[%s] => X11 via [%s]\n",
- fmt->width, fmt->height, ng_vfmt_to_desc[fmt->fmtid],
- ng_vfmt_to_desc[st->buf.fmt.fmtid]);
- return;
-}
-
-void blit_fini_frame(struct blit_state *st)
-{
- switch (st->status) {
- case STATUS_CONVERT:
- if (st->chandle) {
- ng_convert_fini(st->chandle);
- st->chandle = NULL;
- }
- if (st->ximage) {
- x11_destroy_ximage(XtDisplay(st->widget),st->ximage,st->shm);
- st->ximage = NULL;
- }
- break;
-
-#if HAVE_LIBXV
- case STATUS_XVIDEO:
- if (st->xvimage) {
- xv_destroy_ximage(XtDisplay(st->widget),st->xvimage,st->shm);
- st->xvimage = NULL;
- }
- XvStopVideo(XtDisplay(st->widget), im_port, XtWindow(st->widget));
- break;
-#endif
-
-#if HAVE_GL
- case STATUS_OPENGL:
- gl_cleanup(st->tex);
- break;
-#endif
-
- case STATUS_UNKNOWN:
- case STATUS_BROKEN:
- break;
- }
- memset(&st->fmt,0,sizeof(st->fmt));
- memset(&st->buf,0,sizeof(st->buf));
- st->status = STATUS_UNKNOWN;
-}
-
-void blit_fini(struct blit_state *st)
-{
- free(st);
-}
-
-void blit_putframe(struct blit_state *st, struct ng_video_buf *buf)
-{
- if (st->fmt.fmtid != buf->fmt.fmtid &&
- st->fmt.width != buf->fmt.width &&
- st->fmt.height != buf->fmt.height) {
- blit_fini_frame(st);
- blit_init_frame(st,&buf->fmt);
- st->fmt = buf->fmt;
- }
-
- if (debug > 1)
- fprintf(stderr,"blit: putframe\n");
- switch (st->status) {
- case STATUS_CONVERT:
- if (NULL == st->chandle) {
- memcpy(st->ximage->data,buf->data,buf->size);
- ng_release_video_buf(buf);
- } else {
- buf = ng_convert_frame(st->chandle,&st->buf,buf);
- }
- x11_blit(XtDisplay(st->widget), XtWindow(st->widget),
- st->gc,st->ximage,0,0,
- (st->win_width - st->buf.fmt.width) >> 1,
- (st->win_height - st->buf.fmt.height) >> 1,
- st->buf.fmt.width, st->buf.fmt.height);
- break;
-
-#ifdef HAVE_LIBXV
- case STATUS_XVIDEO:
- memcpy(st->xvimage->data,buf->data,buf->size);
- ng_release_video_buf(buf);
- xv_blit(XtDisplay(st->widget), XtWindow(st->widget),
- st->gc, st->xvimage,
- 0, 0, st->buf.fmt.width, st->buf.fmt.height,
- st->wx, st->wy, st->ww, st->wh);
- break;
-#endif
-
-#if HAVE_GL
- case STATUS_OPENGL:
- gl_blit(st->widget,buf->data,
- st->buf.fmt.width, st->buf.fmt.height,
- st->win_width, st->win_height,
- st->tex, st->tw, st->th,
- gl_formats[buf->fmt.fmtid].fmt,
- gl_formats[buf->fmt.fmtid].type);
- ng_release_video_buf(buf);
- break;
-#endif
-
- case STATUS_UNKNOWN:
- case STATUS_BROKEN:
- if (debug > 1)
- fprintf(stderr,"blit: putframe: oops: status = %d\n",st->status);
- ng_release_video_buf(buf);
- break;
- }
-}
diff --git a/x11/blit.c.rej b/x11/blit.c.rej
deleted file mode 100644
index 7eb6e90..0000000
--- a/x11/blit.c.rej
+++ /dev/null
@@ -1,37 +0,0 @@
-*************** static int gl_init(Widget widget)
-*** 538,551 ****
- fprintf(stderr,"blit: gl: can't create context\n");
- return -1;
- }
-- glXMakeCurrent(XtDisplay(widget),XtWindow(widget),ctx);
-- if (debug)
-- fprintf(stderr, "blit: gl: DRI=%s\n",
-- glXIsDirect(XtDisplay(widget), ctx) ? "Yes" : "No");
-
- /* there is no point in using OpenGL for image scaling if it
- * isn't hardware accelerated ... */
- if (!glXIsDirect(XtDisplay(widget), ctx))
- return -1;
-
- have_gl = 1;
---- 546,565 ----
- fprintf(stderr,"blit: gl: can't create context\n");
- return -1;
- }
-
- /* there is no point in using OpenGL for image scaling if it
- * isn't hardware accelerated ... */
-+ if (debug)
-+ fprintf(stderr, "blit: gl: DRI=%s\n",
-+ glXIsDirect(XtDisplay(widget), ctx) ? "Yes" : "No");
- if (!glXIsDirect(XtDisplay(widget), ctx))
-+ return -1;
-+
-+ old_handler = XSetErrorHandler(catch_gl_error);
-+ glXMakeCurrent(XtDisplay(widget),XtWindow(widget),ctx);
-+ XSync(XtDisplay(widget), False);
-+ XSetErrorHandler(old_handler);
-+ if (gl_error)
- return -1;
-
- have_gl = 1;
diff --git a/x11/xt.c b/x11/xt.c
index c4fda24..f659657 100644
--- a/x11/xt.c
+++ b/x11/xt.c
@@ -222,7 +222,7 @@ XtResource args_desc[] = {
"vidmode",
XtCBoolean, XtRBoolean, sizeof(int),
XtOffset(struct ARGS*,vidmode),
- XtRString, "0"
+ XtRString, "1"
},{
"dga",
XtCBoolean, XtRBoolean, sizeof(int),
@@ -2124,12 +2124,14 @@ int xt_vm_randr_input_init(Display *dpy)
if (debug)
fprintf(stderr,"xt: checking for randr extention ...\n");
xfree_randr_init(dpy);
- if (fs_width && fs_height && !args.vidmode && !have_randr) {
+#if 0
+ if (fs_width && fs_height && !args.vidmode) {
if (debug)
fprintf(stderr,"fullscreen mode configured (%dx%d), "
"VidMode extention enabled\n",fs_width,fs_height);
args.vidmode = 1;
}
+#endif
if (debug)
fprintf(stderr,"xt: checking for vidmode extention ...\n");
xfree_vm_init(dpy);
diff --git a/xawtv.spec b/xawtv.spec
index 2c0393d..a8d7c2c 100644
--- a/xawtv.spec
+++ b/xawtv.spec
@@ -1,7 +1,7 @@
Name: xawtv
Group: Applications/Multimedia
Autoreqprov: on
-Version: 3.93
+Version: 3.94
Release: 0
License: GPL
Summary: v4l applications

Privacy Policy